"""empty message

Revision ID: ba5270f300be
Revises: a88f75ff23c9
Create Date: 2020-02-10 14:42:38.129355

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'ba5270f300be'
down_revision = 'a88f75ff23c9'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    
    algo_choices = postgresql.ENUM('MD5', 'SHA-256', name='algo_choices')
    algo_choices.create(op.get_bind())

    op.add_column('jobs', sa.Column('checkhash',algo_choices, nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    algo_choices = postgresql.ENUM('MD5', 'SHA-256', name='algo_choices')
    algo_choices.drop(op.get_bind())
    op.drop_column('jobs', 'checkhash')
    # ### end Alembic commands ###
